#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	MySQL
Summary:	Crypt::MySQL - emulate MySQL PASSWORD() function
Summary(pl.UTF-8):	Crypt::MySQL - emulacja funkcji MySQL PASSWORD()
Name:		perl-Crypt-MySQL
Version:	0.04
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e9a2d1e7f478fe8c90a15c47de37c0ae
URL:		http://search.cpan.org/dist/Crypt-MySQL/
%if %{with tests}
BuildRequires:	perl-DBD-mysql
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-Test-Simple >= 0.32}
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::MySQL emulates MySQL PASSWORD() SQL function, without
libmysqlclient. You can compare encrypted passwords, without real
MySQL environment.

%description -l pl.UTF-8
Crypt::MySQL emuluje funkcję SQL PASSWORD() z MySQL bez
libmysqlclient. Pozwala porównywać zaszyfrowane hasła bez prawdziwego
środowiska MySQL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Crypt/MySQL.pm
%{perl_vendorarch}/Crypt/MySQL.xs
%dir %{perl_vendorarch}/auto/Crypt/MySQL
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/MySQL/MySQL.so
%{_mandir}/man3/*
%changelog
* Mon Jun 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-MySQL.git;a=log;h=auto/th/perl-Crypt-MySQL-0.04-10

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 68886ab
- perl req/prov fix
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6d0dafd
- rebuild with perl 5.26
- release 9 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 7c9cead
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 051d7db
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8f90a68
- x32 rebuild
- release 6 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 36a6c97
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8dd4d5f
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1b8e9f2
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 5737a25
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> dd67ffb
- tests BR: perl-DBD-mysql, perl-Digest-SHA1

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fed04db
- release 2

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 35f6e00
- updated to 0.04

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> ec48d32
- generic URL

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 6305e41
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 73c1f99
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 4d4e6c8
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e5b9e0d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f2b97c4
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> bbd473d
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 85bb696
- fixed perl-devel BR

